// Code generated by protoc-gen-go. DO NOT EDIT.
// source: pkg/beluga.proto

package beluga

import (
	context "context"
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

type DoRequest_Action int32

const (
	DoRequest_Off   DoRequest_Action = 0
	DoRequest_On    DoRequest_Action = 1
	DoRequest_Cycle DoRequest_Action = 2
)

var DoRequest_Action_name = map[int32]string{
	0: "Off",
	1: "On",
	2: "Cycle",
}

var DoRequest_Action_value = map[string]int32{
	"Off":   0,
	"On":    1,
	"Cycle": 2,
}

func (x DoRequest_Action) String() string {
	return proto.EnumName(DoRequest_Action_name, int32(x))
}

func (DoRequest_Action) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_6047e5c747f55e6c, []int{0, 0}
}

type StatusResponse_State int32

const (
	StatusResponse_Unknown StatusResponse_State = 0
	StatusResponse_Off     StatusResponse_State = 1
	StatusResponse_On      StatusResponse_State = 2
)

var StatusResponse_State_name = map[int32]string{
	0: "Unknown",
	1: "Off",
	2: "On",
}

var StatusResponse_State_value = map[string]int32{
	"Unknown": 0,
	"Off":     1,
	"On":      2,
}

func (x StatusResponse_State) String() string {
	return proto.EnumName(StatusResponse_State_name, int32(x))
}

func (StatusResponse_State) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_6047e5c747f55e6c, []int{3, 0}
}

type DoRequest struct {
	Action DoRequest_Action `protobuf:"varint,1,opt,name=action,proto3,enum=beluga.DoRequest_Action" json:"action,omitempty"`
	Device string           `protobuf:"bytes,2,opt,name=device,proto3" json:"device,omitempty"`
	//
	//Soft power functions typically correspond to ACPI-like
	//functionality. While they are gentler on devices than raw power functions
	//they may not always succeed if a device is in a bricked state. This is a
	//modifier to the action.
	Soft                 bool     `protobuf:"varint,3,opt,name=soft,proto3" json:"soft,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *DoRequest) Reset()         { *m = DoRequest{} }
func (m *DoRequest) String() string { return proto.CompactTextString(m) }
func (*DoRequest) ProtoMessage()    {}
func (*DoRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_6047e5c747f55e6c, []int{0}
}

func (m *DoRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_DoRequest.Unmarshal(m, b)
}
func (m *DoRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_DoRequest.Marshal(b, m, deterministic)
}
func (m *DoRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_DoRequest.Merge(m, src)
}
func (m *DoRequest) XXX_Size() int {
	return xxx_messageInfo_DoRequest.Size(m)
}
func (m *DoRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_DoRequest.DiscardUnknown(m)
}

var xxx_messageInfo_DoRequest proto.InternalMessageInfo

func (m *DoRequest) GetAction() DoRequest_Action {
	if m != nil {
		return m.Action
	}
	return DoRequest_Off
}

func (m *DoRequest) GetDevice() string {
	if m != nil {
		return m.Device
	}
	return ""
}

func (m *DoRequest) GetSoft() bool {
	if m != nil {
		return m.Soft
	}
	return false
}

type DoResponse struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *DoResponse) Reset()         { *m = DoResponse{} }
func (m *DoResponse) String() string { return proto.CompactTextString(m) }
func (*DoResponse) ProtoMessage()    {}
func (*DoResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_6047e5c747f55e6c, []int{1}
}

func (m *DoResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_DoResponse.Unmarshal(m, b)
}
func (m *DoResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_DoResponse.Marshal(b, m, deterministic)
}
func (m *DoResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_DoResponse.Merge(m, src)
}
func (m *DoResponse) XXX_Size() int {
	return xxx_messageInfo_DoResponse.Size(m)
}
func (m *DoResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_DoResponse.DiscardUnknown(m)
}

var xxx_messageInfo_DoResponse proto.InternalMessageInfo

type StatusRequest struct {
	Device               string   `protobuf:"bytes,1,opt,name=device,proto3" json:"device,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *StatusRequest) Reset()         { *m = StatusRequest{} }
func (m *StatusRequest) String() string { return proto.CompactTextString(m) }
func (*StatusRequest) ProtoMessage()    {}
func (*StatusRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_6047e5c747f55e6c, []int{2}
}

func (m *StatusRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_StatusRequest.Unmarshal(m, b)
}
func (m *StatusRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_StatusRequest.Marshal(b, m, deterministic)
}
func (m *StatusRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_StatusRequest.Merge(m, src)
}
func (m *StatusRequest) XXX_Size() int {
	return xxx_messageInfo_StatusRequest.Size(m)
}
func (m *StatusRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_StatusRequest.DiscardUnknown(m)
}

var xxx_messageInfo_StatusRequest proto.InternalMessageInfo

func (m *StatusRequest) GetDevice() string {
	if m != nil {
		return m.Device
	}
	return ""
}

type StatusResponse struct {
	State                StatusResponse_State `protobuf:"varint,1,opt,name=state,proto3,enum=beluga.StatusResponse_State" json:"state,omitempty"`
	XXX_NoUnkeyedLiteral struct{}             `json:"-"`
	XXX_unrecognized     []byte               `json:"-"`
	XXX_sizecache        int32                `json:"-"`
}

func (m *StatusResponse) Reset()         { *m = StatusResponse{} }
func (m *StatusResponse) String() string { return proto.CompactTextString(m) }
func (*StatusResponse) ProtoMessage()    {}
func (*StatusResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_6047e5c747f55e6c, []int{3}
}

func (m *StatusResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_StatusResponse.Unmarshal(m, b)
}
func (m *StatusResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_StatusResponse.Marshal(b, m, deterministic)
}
func (m *StatusResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_StatusResponse.Merge(m, src)
}
func (m *StatusResponse) XXX_Size() int {
	return xxx_messageInfo_StatusResponse.Size(m)
}
func (m *StatusResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_StatusResponse.DiscardUnknown(m)
}

var xxx_messageInfo_StatusResponse proto.InternalMessageInfo

func (m *StatusResponse) GetState() StatusResponse_State {
	if m != nil {
		return m.State
	}
	return StatusResponse_Unknown
}

type ListRequest struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ListRequest) Reset()         { *m = ListRequest{} }
func (m *ListRequest) String() string { return proto.CompactTextString(m) }
func (*ListRequest) ProtoMessage()    {}
func (*ListRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_6047e5c747f55e6c, []int{4}
}

func (m *ListRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ListRequest.Unmarshal(m, b)
}
func (m *ListRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ListRequest.Marshal(b, m, deterministic)
}
func (m *ListRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ListRequest.Merge(m, src)
}
func (m *ListRequest) XXX_Size() int {
	return xxx_messageInfo_ListRequest.Size(m)
}
func (m *ListRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_ListRequest.DiscardUnknown(m)
}

var xxx_messageInfo_ListRequest proto.InternalMessageInfo

type ListItem struct {
	Device               string   `protobuf:"bytes,1,opt,name=device,proto3" json:"device,omitempty"`
	Controller           string   `protobuf:"bytes,2,opt,name=controller,proto3" json:"controller,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ListItem) Reset()         { *m = ListItem{} }
func (m *ListItem) String() string { return proto.CompactTextString(m) }
func (*ListItem) ProtoMessage()    {}
func (*ListItem) Descriptor() ([]byte, []int) {
	return fileDescriptor_6047e5c747f55e6c, []int{5}
}

func (m *ListItem) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ListItem.Unmarshal(m, b)
}
func (m *ListItem) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ListItem.Marshal(b, m, deterministic)
}
func (m *ListItem) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ListItem.Merge(m, src)
}
func (m *ListItem) XXX_Size() int {
	return xxx_messageInfo_ListItem.Size(m)
}
func (m *ListItem) XXX_DiscardUnknown() {
	xxx_messageInfo_ListItem.DiscardUnknown(m)
}

var xxx_messageInfo_ListItem proto.InternalMessageInfo

func (m *ListItem) GetDevice() string {
	if m != nil {
		return m.Device
	}
	return ""
}

func (m *ListItem) GetController() string {
	if m != nil {
		return m.Controller
	}
	return ""
}

type ListResponse struct {
	Devices              []*ListItem `protobuf:"bytes,1,rep,name=devices,proto3" json:"devices,omitempty"`
	XXX_NoUnkeyedLiteral struct{}    `json:"-"`
	XXX_unrecognized     []byte      `json:"-"`
	XXX_sizecache        int32       `json:"-"`
}

func (m *ListResponse) Reset()         { *m = ListResponse{} }
func (m *ListResponse) String() string { return proto.CompactTextString(m) }
func (*ListResponse) ProtoMessage()    {}
func (*ListResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_6047e5c747f55e6c, []int{6}
}

func (m *ListResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ListResponse.Unmarshal(m, b)
}
func (m *ListResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ListResponse.Marshal(b, m, deterministic)
}
func (m *ListResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ListResponse.Merge(m, src)
}
func (m *ListResponse) XXX_Size() int {
	return xxx_messageInfo_ListResponse.Size(m)
}
func (m *ListResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_ListResponse.DiscardUnknown(m)
}

var xxx_messageInfo_ListResponse proto.InternalMessageInfo

func (m *ListResponse) GetDevices() []*ListItem {
	if m != nil {
		return m.Devices
	}
	return nil
}

type HealthRequest struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *HealthRequest) Reset()         { *m = HealthRequest{} }
func (m *HealthRequest) String() string { return proto.CompactTextString(m) }
func (*HealthRequest) ProtoMessage()    {}
func (*HealthRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_6047e5c747f55e6c, []int{7}
}

func (m *HealthRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_HealthRequest.Unmarshal(m, b)
}
func (m *HealthRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_HealthRequest.Marshal(b, m, deterministic)
}
func (m *HealthRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_HealthRequest.Merge(m, src)
}
func (m *HealthRequest) XXX_Size() int {
	return xxx_messageInfo_HealthRequest.Size(m)
}
func (m *HealthRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_HealthRequest.DiscardUnknown(m)
}

var xxx_messageInfo_HealthRequest proto.InternalMessageInfo

type HealthResponse struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *HealthResponse) Reset()         { *m = HealthResponse{} }
func (m *HealthResponse) String() string { return proto.CompactTextString(m) }
func (*HealthResponse) ProtoMessage()    {}
func (*HealthResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_6047e5c747f55e6c, []int{8}
}

func (m *HealthResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_HealthResponse.Unmarshal(m, b)
}
func (m *HealthResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_HealthResponse.Marshal(b, m, deterministic)
}
func (m *HealthResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_HealthResponse.Merge(m, src)
}
func (m *HealthResponse) XXX_Size() int {
	return xxx_messageInfo_HealthResponse.Size(m)
}
func (m *HealthResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_HealthResponse.DiscardUnknown(m)
}

var xxx_messageInfo_HealthResponse proto.InternalMessageInfo

func init() {
	proto.RegisterEnum("beluga.DoRequest_Action", DoRequest_Action_name, DoRequest_Action_value)
	proto.RegisterEnum("beluga.StatusResponse_State", StatusResponse_State_name, StatusResponse_State_value)
	proto.RegisterType((*DoRequest)(nil), "beluga.DoRequest")
	proto.RegisterType((*DoResponse)(nil), "beluga.DoResponse")
	proto.RegisterType((*StatusRequest)(nil), "beluga.StatusRequest")
	proto.RegisterType((*StatusResponse)(nil), "beluga.StatusResponse")
	proto.RegisterType((*ListRequest)(nil), "beluga.ListRequest")
	proto.RegisterType((*ListItem)(nil), "beluga.ListItem")
	proto.RegisterType((*ListResponse)(nil), "beluga.ListResponse")
	proto.RegisterType((*HealthRequest)(nil), "beluga.HealthRequest")
	proto.RegisterType((*HealthResponse)(nil), "beluga.HealthResponse")
}

func init() {
	proto.RegisterFile("pkg/beluga.proto", fileDescriptor_6047e5c747f55e6c)
}

var fileDescriptor_6047e5c747f55e6c = []byte{
	// 389 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x74, 0x92, 0xef, 0x6a, 0xdb, 0x30,
	0x14, 0xc5, 0x23, 0x3b, 0x51, 0x92, 0x9b, 0x3f, 0xf3, 0xee, 0xb6, 0x60, 0xc6, 0x18, 0x46, 0x6c,
	0xcc, 0x6c, 0x90, 0x6d, 0xde, 0xa0, 0xd0, 0x6f, 0x4d, 0x03, 0x6d, 0xa1, 0x10, 0x70, 0xe9, 0x03,
	0x38, 0xae, 0x92, 0x86, 0xb8, 0x56, 0x1a, 0x29, 0x2d, 0x7d, 0x8a, 0x3e, 0x5e, 0x5f, 0xa7, 0xc4,
	0x92, 0x1a, 0xbb, 0x7f, 0xbe, 0xf9, 0x5c, 0x9f, 0xa3, 0xf3, 0xbb, 0xb2, 0xc1, 0x5b, 0x2d, 0xe7,
	0xbf, 0xa7, 0x3c, 0xdb, 0xcc, 0x93, 0xe1, 0x6a, 0x2d, 0x94, 0x40, 0xaa, 0x15, 0xbb, 0x27, 0xd0,
	0x1e, 0x8b, 0x98, 0x5f, 0x6f, 0xb8, 0x54, 0xf8, 0x07, 0x68, 0x92, 0xaa, 0x85, 0xc8, 0x7d, 0x12,
	0x90, 0xb0, 0x1f, 0xf9, 0x43, 0x13, 0x7a, 0xb2, 0x0c, 0x0f, 0x8a, 0xf7, 0xb1, 0xf1, 0xe1, 0x00,
	0xe8, 0x05, 0xbf, 0x59, 0xa4, 0xdc, 0x77, 0x02, 0x12, 0xb6, 0x63, 0xa3, 0x10, 0xa1, 0x2e, 0xc5,
	0x4c, 0xf9, 0x6e, 0x40, 0xc2, 0x56, 0x5c, 0x3c, 0xb3, 0x6f, 0x40, 0x75, 0x1a, 0x9b, 0xe0, 0x4e,
	0x66, 0x33, 0xaf, 0x86, 0x14, 0x9c, 0x49, 0xee, 0x11, 0x6c, 0x43, 0xe3, 0xf0, 0x2e, 0xcd, 0xb8,
	0xe7, 0xb0, 0x2e, 0xc0, 0xb6, 0x4d, 0xae, 0x44, 0x2e, 0x39, 0xfb, 0x01, 0xbd, 0x33, 0x95, 0xa8,
	0x8d, 0xb4, 0x88, 0xbb, 0x42, 0x52, 0x2e, 0x64, 0x4b, 0xe8, 0x5b, 0xa3, 0x8e, 0x62, 0x04, 0x0d,
	0xa9, 0x12, 0xc5, 0xcd, 0x2e, 0x5f, 0xec, 0x2e, 0x55, 0x5b, 0x21, 0x79, 0xac, 0xad, 0xec, 0x3b,
	0x34, 0x0a, 0x8d, 0x1d, 0x68, 0x9e, 0xe7, 0xcb, 0x5c, 0xdc, 0xe6, 0x5e, 0xcd, 0xe2, 0x12, 0x83,
	0xeb, 0xb0, 0x1e, 0x74, 0x4e, 0x17, 0x52, 0x19, 0x26, 0x36, 0x82, 0xd6, 0x56, 0x9e, 0x28, 0x7e,
	0xf5, 0x16, 0x1f, 0x7e, 0x05, 0x48, 0x45, 0xae, 0xd6, 0x22, 0xcb, 0xf8, 0xda, 0x5c, 0x56, 0x69,
	0xc2, 0xf6, 0xa1, 0xab, 0x8f, 0x34, 0xf4, 0x3f, 0xa1, 0xa9, 0x93, 0xd2, 0x27, 0x81, 0x1b, 0x76,
	0x22, 0xcf, 0xf2, 0xdb, 0xaa, 0xd8, 0x1a, 0xd8, 0x3b, 0xe8, 0x1d, 0xf3, 0x24, 0x53, 0x97, 0x16,
	0xc8, 0x83, 0xbe, 0x1d, 0xe8, 0xe3, 0xa2, 0x07, 0x02, 0x74, 0x54, 0xe4, 0xf1, 0x17, 0x38, 0x63,
	0x81, 0xef, 0x5f, 0x7c, 0xda, 0xcf, 0x58, 0x1e, 0x19, 0x8c, 0xff, 0xe0, 0x1e, 0x71, 0x85, 0x9f,
	0x9e, 0x5f, 0x9e, 0x4e, 0x0c, 0x5e, 0xbf, 0x53, 0xfc, 0x0b, 0xf5, 0x2d, 0x25, 0x7e, 0x28, 0x33,
	0xdb, 0xd0, 0xc7, 0xea, 0xd0, 0x44, 0xf6, 0x80, 0x6a, 0xe4, 0x5d, 0x57, 0x65, 0xa7, 0x5d, 0x57,
	0x75, 0xb3, 0x29, 0x2d, 0x7e, 0xe8, 0x7f, 0x8f, 0x01, 0x00, 0x00, 0xff, 0xff, 0x8c, 0x7b, 0x29,
	0x95, 0xe4, 0x02, 0x00, 0x00,
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConnInterface

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion6

// BelugaClient is the client API for Beluga service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type BelugaClient interface {
	Do(ctx context.Context, in *DoRequest, opts ...grpc.CallOption) (*DoResponse, error)
	Get(ctx context.Context, in *StatusRequest, opts ...grpc.CallOption) (*StatusResponse, error)
	List(ctx context.Context, in *ListRequest, opts ...grpc.CallOption) (*ListResponse, error)
	Health(ctx context.Context, in *HealthRequest, opts ...grpc.CallOption) (*HealthResponse, error)
}

type belugaClient struct {
	cc grpc.ClientConnInterface
}

func NewBelugaClient(cc grpc.ClientConnInterface) BelugaClient {
	return &belugaClient{cc}
}

func (c *belugaClient) Do(ctx context.Context, in *DoRequest, opts ...grpc.CallOption) (*DoResponse, error) {
	out := new(DoResponse)
	err := c.cc.Invoke(ctx, "/beluga.Beluga/Do", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *belugaClient) Get(ctx context.Context, in *StatusRequest, opts ...grpc.CallOption) (*StatusResponse, error) {
	out := new(StatusResponse)
	err := c.cc.Invoke(ctx, "/beluga.Beluga/Get", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *belugaClient) List(ctx context.Context, in *ListRequest, opts ...grpc.CallOption) (*ListResponse, error) {
	out := new(ListResponse)
	err := c.cc.Invoke(ctx, "/beluga.Beluga/List", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *belugaClient) Health(ctx context.Context, in *HealthRequest, opts ...grpc.CallOption) (*HealthResponse, error) {
	out := new(HealthResponse)
	err := c.cc.Invoke(ctx, "/beluga.Beluga/Health", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// BelugaServer is the server API for Beluga service.
type BelugaServer interface {
	Do(context.Context, *DoRequest) (*DoResponse, error)
	Get(context.Context, *StatusRequest) (*StatusResponse, error)
	List(context.Context, *ListRequest) (*ListResponse, error)
	Health(context.Context, *HealthRequest) (*HealthResponse, error)
}

// UnimplementedBelugaServer can be embedded to have forward compatible implementations.
type UnimplementedBelugaServer struct {
}

func (*UnimplementedBelugaServer) Do(ctx context.Context, req *DoRequest) (*DoResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Do not implemented")
}
func (*UnimplementedBelugaServer) Get(ctx context.Context, req *StatusRequest) (*StatusResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Get not implemented")
}
func (*UnimplementedBelugaServer) List(ctx context.Context, req *ListRequest) (*ListResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method List not implemented")
}
func (*UnimplementedBelugaServer) Health(ctx context.Context, req *HealthRequest) (*HealthResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Health not implemented")
}

func RegisterBelugaServer(s *grpc.Server, srv BelugaServer) {
	s.RegisterService(&_Beluga_serviceDesc, srv)
}

func _Beluga_Do_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DoRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(BelugaServer).Do(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/beluga.Beluga/Do",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(BelugaServer).Do(ctx, req.(*DoRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Beluga_Get_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(StatusRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(BelugaServer).Get(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/beluga.Beluga/Get",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(BelugaServer).Get(ctx, req.(*StatusRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Beluga_List_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ListRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(BelugaServer).List(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/beluga.Beluga/List",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(BelugaServer).List(ctx, req.(*ListRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Beluga_Health_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(HealthRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(BelugaServer).Health(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/beluga.Beluga/Health",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(BelugaServer).Health(ctx, req.(*HealthRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _Beluga_serviceDesc = grpc.ServiceDesc{
	ServiceName: "beluga.Beluga",
	HandlerType: (*BelugaServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "Do",
			Handler:    _Beluga_Do_Handler,
		},
		{
			MethodName: "Get",
			Handler:    _Beluga_Get_Handler,
		},
		{
			MethodName: "List",
			Handler:    _Beluga_List_Handler,
		},
		{
			MethodName: "Health",
			Handler:    _Beluga_Health_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "pkg/beluga.proto",
}
